# Uses of Class
java.security.UnrecoverableKeyException

Packages that use UnrecoverableKeyException
Package
Description
java.security
Provides the classes and interfaces for the security framework.
javax.net.ssl
Provides classes for the secure socket package.

## Uses of UnrecoverableKeyException in java.security

Methods in java.security that throw UnrecoverableKeyException
Modifier and Type
Method
Description
`abstract Key`
KeyStoreSpi.`engineGetKey(String alias, char[] password)`
Returns the key associated with the given alias, using the given password to recover it.
`final Key`
KeyStore.`getKey(String alias, char[] password)`
Returns the key associated with the given alias, using the given password to recover it.

## Uses of UnrecoverableKeyException in javax.net.ssl

Methods in javax.net.ssl that throw UnrecoverableKeyException
Modifier and Type
Method
Description
`protected abstract void`
KeyManagerFactorySpi.`engineInit(KeyStore ks, char[] password)`
Initializes this factory with a source of key material.
`final void`
KeyManagerFactory.`init(KeyStore ks, char[] password)`
Initializes this factory with a source of key material.